#include <iostream>
#include <vector>
#include <cmath>
#include <string>
#include "histogram.h"
#include "text.h"
#include "svg.h"
const size_t WINDOW_WIDTH = 80;
const size_t MAX_VALUE = WINDOW_WIDTH - 3 - 1;
using namespace std;

struct Input{
    vector <double> numbers;
    size_t bin_count = 0;
};

Input
input_data(){
    size_t number_count;
    cin >> number_count;
    Input in;
    in.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }
    cin >> in.bin_count;
    return in;
}

int
main(){
    double min = 0, max = 0;
    Input in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    //for (auto now: bins) {cout << now << endl;}
    show_histogram_svg(bins);
    return 0;
}
